## pyside 1.2.2

=== PySide/QtNetwork/CMakeLists.txt ===
project(QtNetwork)

if (${QT_VERSION_MAJOR} EQUAL 4 AND ${QT_VERSION_MINOR} GREATER 6)
    set (QtNetwork_47_SRC
        ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qnetworkconfiguration_wrapper.cpp
        ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qnetworkconfigurationmanager_wrapper.cpp
        ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qnetworksession_wrapper.cpp
    )
else()
    set(QtNetwork_47_SRC )
endif ()

set(QtNetwork_OPTIONAL_SRC )
set(QtNetwork_DROPPED_ENTRIES )
check_qt_class(QtNetwork QSslCertificate    QtNetwork_OPTIONAL_SRC QtNetwork_DROPPED_ENTRIES)
check_qt_class(QtNetwork QSslCipher         QtNetwork_OPTIONAL_SRC QtNetwork_DROPPED_ENTRIES)
check_qt_class(QtNetwork QSslConfiguration  QtNetwork_OPTIONAL_SRC QtNetwork_DROPPED_ENTRIES)
check_qt_class(QtNetwork QSslError          QtNetwork_OPTIONAL_SRC QtNetwork_DROPPED_ENTRIES)
check_qt_class(QtNetwork QSslKey            QtNetwork_OPTIONAL_SRC QtNetwork_DROPPED_ENTRIES)
check_qt_class(QtNetwork QSslSocket         QtNetwork_OPTIONAL_SRC QtNetwork_DROPPED_ENTRIES)

set(QtNetwork_SRC
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qabstractnetworkcache_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qabstractsocket_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qauthenticator_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qftp_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qhostaddress_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qhostinfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qhttp_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qhttpheader_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qhttprequestheader_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qhttpresponseheader_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qipv6address_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qlocalserver_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qlocalsocket_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qnetworkaccessmanager_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qnetworkaddressentry_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qnetworkcachemetadata_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qnetworkcookie_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qnetworkcookiejar_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qnetworkdiskcache_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qnetworkinterface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qnetworkproxy_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qnetworkproxyfactory_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qnetworkproxyquery_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qnetworkreply_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qnetworkrequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qssl_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qtcpserver_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qtcpsocket_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qtnetwork_module_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qudpsocket_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/qurlinfo_wrapper.cpp

${QtNetwork_47_SRC}
${QtNetwork_OPTIONAL_SRC}
)

set(QtNetwork_typesystem_path "${QtCore_SOURCE_DIR}${PATH_SEP}${QtCore_BINARY_DIR}")
set(QtNetwork_include_dirs  ${CMAKE_CURRENT_SOURCE_DIR}
                            ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtNetwork/
                            ${QT_INCLUDE_DIR}
                            ${QT_QTNETWORK_INCLUDE_DIR}
                            ${SHIBOKEN_INCLUDE_DIR}
                            ${libpyside_SOURCE_DIR}
                            ${SHIBOKEN_PYTHON_INCLUDE_DIR}
                            ${QtCore_BINARY_DIR}/PySide/QtCore/)
set(QtNetwork_libraries pyside
                        ${SHIBOKEN_PYTHON_LIBRARIES}
                        ${SHIBOKEN_LIBRARY}
                        ${QT_QTNETWORK_LIBRARY})

set(QtNetwork_deps QtCore)

create_pyside_module(QtNetwork
                     QtNetwork_include_dirs
                     QtNetwork_libraries
                     QtNetwork_deps
                     QtNetwork_typesystem_path
                     QtNetwork_SRC
                     ""
                     ""
                     QtNetwork_DROPPED_ENTRIES)

=== PySide/QtXmlPatterns/CMakeLists.txt ===
project(QtXmlPatterns)

if (${QT_VERSION_MAJOR} EQUAL 4 AND ${QT_VERSION_MINOR} LESS 6)
    set(QtXmlPatterns_46_SRC )
else()
    set(QtXmlPatterns_46_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXmlPatterns/qxmlschemavalidator_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXmlPatterns/qxmlschema_wrapper.cpp
    )
endif()

set(QtXmlPatterns_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXmlPatterns/qabstractmessagehandler_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXmlPatterns/qabstracturiresolver_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXmlPatterns/qabstractxmlnodemodel_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXmlPatterns/qabstractxmlreceiver_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXmlPatterns/qsourcelocation_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXmlPatterns/qtxmlpatterns_module_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXmlPatterns/qxmlformatter_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXmlPatterns/qxmlitem_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXmlPatterns/qxmlnamepool_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXmlPatterns/qxmlname_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXmlPatterns/qxmlnodemodelindex_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXmlPatterns/qxmlquery_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXmlPatterns/qxmlresultitems_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXmlPatterns/qxmlserializer_wrapper.cpp
    ${QtXmlPatterns_46_SRC}
)
set(QtXmlPatterns_typesystem_path "${QtCore_SOURCE_DIR}${PATH_SEP}${QtCore_BINARY_DIR}")
set(QtXmlPatterns_include_dirs  ${CMAKE_CURRENT_SOURCE_DIR}
                                ${QT_QTCORE_INCLUDE_DIR}
                                ${QT_QTXMLPATTERNS_INCLUDE_DIR}
                                ${SHIBOKEN_PYTHON_INCLUDE_DIR}
                                ${SHIBOKEN_INCLUDE_DIR}
                                ${libpyside_SOURCE_DIR}
                                ${QtCore_BINARY_DIR}/PySide/QtCore/
                                ${CMAKE_CURRENT_BINARY_DIR}/PySide/QtXmlPatterns)
set(QtXmlPatterns_libraries     pyside
                                ${SHIBOKEN_PYTHON_LIBRARIES}
                                ${QT_QTCORE_LIBRARY}
                                ${QT_QTXMLPATTERNS_LIBRARY})
set(QtXmlPatterns_deps QtCore)
create_pyside_module(QtXmlPatterns
                     QtXmlPatterns_include_dirs
                     QtXmlPatterns_libraries
                     QtXmlPatterns_deps
                     QtXmlPatterns_typesystem_path
                     QtXmlPatterns_SRC
                     "")

=== tests/QtDeclarative/CMakeLists.txt ===
PYSIDE_TEST(bug_451.py)
PYSIDE_TEST(bug_456.py)
PYSIDE_TEST(bug_557.py)
PYSIDE_TEST(bug_726.py)
PYSIDE_TEST(bug_814.py)
PYSIDE_TEST(bug_825.py)
PYSIDE_TEST(bug_847.py)
PYSIDE_TEST(bug_915.py)
PYSIDE_TEST(bug_926.py)
PYSIDE_TEST(bug_951.py)
PYSIDE_TEST(bug_995.py)
PYSIDE_TEST(bug_997.py)
PYSIDE_TEST(bug_1029.py)
PYSIDE_TEST(qdeclarativenetwork_test.py)
PYSIDE_TEST(qdeclarativeview_test.py)
PYSIDE_TEST(connect_python_qml.py)
PYSIDE_TEST(registertype.py)

=== tests/pysidetest/CMakeLists.txt ===
project(pysidetest)
project(testbinding)

cmake_minimum_required(VERSION 2.6)

set(QT_USE_QTCORE 1)
include(${QT_USE_FILE})
add_definitions(${QT_DEFINITIONS})
add_definitions(-DQT_SHARED)
add_definitions(-DRXX_ALLOCATOR_INIT_0)

set(pysidetest_SRC
testobject.cpp
testview.cpp
hiddenobject.cpp
)

set(pysidetest_MOC_HEADERS
testobject.h
testview.h
hiddenobject.h
)

qt4_wrap_cpp(pysidetest_MOC_SRC ${pysidetest_MOC_HEADERS})

set(testbinding_SRC
${CMAKE_CURRENT_BINARY_DIR}/testbinding/testobject_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/testbinding/intvalue_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/testbinding/pysidecpp_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/testbinding/pysidecpp_testobjectwithnamespace_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/testbinding/pysidecpp2_testobjectwithoutnamespace_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/testbinding/testview_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/testbinding/testbinding_module_wrapper.cpp
)

add_custom_command(OUTPUT ${testbinding_SRC}
COMMAND ${SHIBOKEN_BINARY} ${GENERATOR_EXTRA_FLAGS}
        ${CMAKE_CURRENT_SOURCE_DIR}/pysidetest_global.h
        --include-paths=${pyside_BINARY_DIR}${PATH_SEP}${CMAKE_CURRENT_SOURCE_DIR}${PATH_SEP}${QT_INCLUDE_DIR}${PATH_SEP}${QT_QTCORE_INCLUDE_DIR}${PATH_SEP}${QT_QTGUI_INCLUDE_DIR}
        --typesystem-paths=${CMAKE_CURRENT_SOURCE_DIR}${PATH_SEP}${pyside_SOURCE_DIR}${PATH_SEP}${QtCore_SOURCE_DIR}${PATH_SEP}${QtCore_BINARY_DIR}${PATH_SEP}${QtGui_SOURCE_DIR}${PATH_SEP}${QtGui_BINARY_DIR}
        --output-directory=${CMAKE_CURRENT_BINARY_DIR}
        ${CMAKE_CURRENT_SOURCE_DIR}/typesystem_pysidetest.xml
WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
COMMENT "Running generator for test binding..."
)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR}
                    ${QT_INCLUDE_DIR}
                    ${QT_QTCORE_INCLUDE_DIR}
                    ${QT_QTGUI_INCLUDE_DIR}
                    ${SHIBOKEN_INCLUDE_DIR}
                    ${pyside_SOURCE_DIR}
                    ${QtCore_BINARY_DIR}/PySide/QtCore
                    ${QtGui_BINARY_DIR}/PySide/QtGui
                    ${libpyside_SOURCE_DIR}
                    ${SHIBOKEN_PYTHON_INCLUDE_DIR})

add_library(pysidetest SHARED ${pysidetest_SRC} ${pysidetest_MOC_SRC})
target_link_libraries(pysidetest ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY})

add_library(testbinding MODULE ${testbinding_SRC})
set_property(TARGET testbinding PROPERTY PREFIX "")
if(WIN32)
    set_target_properties(testbinding PROPERTIES SUFFIX ".pyd")
endif()
target_link_libraries(testbinding
                      pysidetest
                      pyside
                      ${PYTHON_LIBRARIES}
                      ${SHIBOKEN_LIBRARY}
                      ${QT_QTCORE_LIBRARY}
                      ${QT_QTGUI_LIBRARY}
                      ${SBK_PYTHON_LIBRARIES})

add_dependencies(testbinding pyside QtCore QtGui libpyside pysidetest)

PYSIDE_TEST(application_test.py)
PYSIDE_TEST(decoratedslot_test.py)
PYSIDE_TEST(delegatecreateseditor_test.py)
PYSIDE_TEST(enum_test.py)
PYSIDE_TEST(homonymoussignalandmethod_test.py)
PYSIDE_TEST(list_signal_test.py)
PYSIDE_TEST(modelview_test.py)
PYSIDE_TEST(qvariant_test.py)
PYSIDE_TEST(signalandnamespace_test.py)
PYSIDE_TEST(signalwithdefaultvalue_test.py)
PYSIDE_TEST(signalemissionfrompython_test.py)
PYSIDE_TEST(version_test.py)
PYSIDE_TEST(typedef_signal_test.py)
PYSIDE_TEST(bug_1016.py)
PYSIDE_TEST(utils_test.py)

=== tests/signals/CMakeLists.txt ===
PYSIDE_TEST(args_dont_match_test.py)
PYSIDE_TEST(bug_311.py)
PYSIDE_TEST(bug_312.py)
PYSIDE_TEST(bug_319.py)
PYSIDE_TEST(decorators_test.py)
PYSIDE_TEST(disconnect_test.py)
PYSIDE_TEST(invalid_callback_test.py)
PYSIDE_TEST(lambda_gui_test.py)
PYSIDE_TEST(lambda_test.py)
PYSIDE_TEST(leaking_signal_test.py)
PYSIDE_TEST(multiple_connections_gui_test.py)
PYSIDE_TEST(multiple_connections_test.py)
PYSIDE_TEST(pysignal_test.py)
PYSIDE_TEST(qobject_destroyed_test.py)
PYSIDE_TEST(qobject_receivers_test.py)
PYSIDE_TEST(qobject_sender_test.py)
PYSIDE_TEST(ref01_test.py)
PYSIDE_TEST(ref02_test.py)
PYSIDE_TEST(ref03_test.py)
PYSIDE_TEST(ref04_test.py)
PYSIDE_TEST(ref05_test.py)
PYSIDE_TEST(ref06_test.py)
PYSIDE_TEST(segfault_proxyparent_test.py)
PYSIDE_TEST(self_connect_test.py)
PYSIDE_TEST(short_circuit_test.py)
PYSIDE_TEST(signal2signal_connect_test.py)
PYSIDE_TEST(signal_autoconnect_test.py)
PYSIDE_TEST(signal_connectiontype_support_test.py)
PYSIDE_TEST(signal_emission_gui_test.py)
PYSIDE_TEST(signal_emission_test.py)
PYSIDE_TEST(signal_func_test.py)
PYSIDE_TEST(signal_manager_refcount_test.py)
PYSIDE_TEST(signal_number_limit_test.py)
PYSIDE_TEST(signal_object_test.py)
PYSIDE_TEST(signal_signature_test.py)
PYSIDE_TEST(signal_with_primitive_type_test.py)
PYSIDE_TEST(slot_reference_count_test.py)
PYSIDE_TEST(static_metaobject_test.py)

=== debian/changelog ===
pyside (1.2.2-2build2) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 11:45:37 +0000

pyside (1.2.2-2build1) xenial; urgency=medium

  * No-change rebuild for python3 defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 Oct 2015 18:33:20 +0000

pyside (1.2.2-2) unstable; urgency=medium

  * Team upload.
  * Update debian/rules to use shiboken multiarch triplet names for python3.5
    (Closes: #793669)
    - Thanks to Iain Laine for the patch

 -- Scott Kitterman <scott@kitterman.com>  Sat, 03 Oct 2015 11:32:31 -0400

pyside (1.2.2-1) unstable; urgency=medium

  * New 1.2.2 upstream release 
    - Bump B-Ds on shiboken to 1.2.2
    - Update debian/control.in to cope with latest changes not synced

 -- Didier Raboud <odyx@debian.org>  Thu, 01 May 2014 17:58:10 +0200

=== debian/control ===
Source: pyside
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Didier Raboud <odyx@debian.org>
Build-Depends: debhelper (>= 9), cmake (>= 2.8.4+dfsg.1-3~), dpkg-dev (>= 1.15.6),
 python-all-dev (>= 2.6.6-3),
 python3-all-dev,
 phonon, phonon-backend-gstreamer,
 libqt4-dev (>= 4:4.7.0), libphonon-dev, libqt4-opengl-dev (>= 4:4.7.0), libqtwebkit-dev,
 shiboken (>= 1.2.2), libshiboken-dev (>= 1.2.2),
 libqt4-sql-sqlite (>= 4:4.7.0), xvfb, xauth, libgl1-mesa-dri
# Various Build-Depends are needed for success of the testsuite:
# libqt4-sql-sqlite is needed because we need one sql driver.
# xvfb and xauth are needed to run a fake X Server; libgl1-mesa-dri is needed for the GLX-using tests
# phonon-backend-gstreamer is needed to test phonon
Build-Conflicts: phonon-backend-null
Standards-Version: 3.9.5
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pyside/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pyside/trunk/
Homepage: http://www.pyside.org/

Package: python-pyside
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
  python-pyside.phonon (>= ${binary:Version}),
  python-pyside.qtcore (>= ${binary:Version}),
  python-pyside.qtdeclarative (>= ${binary:Version}),
  python-pyside.qtgui (>= ${binary:Version}),
  python-pyside.qthelp (>= ${binary:Version}),
  python-pyside.qtnetwork (>= ${binary:Version}),
  python-pyside.qtopengl (>= ${binary:Version}),
  python-pyside.qtscript (>= ${binary:Version}),
  python-pyside.qtsql (>= ${binary:Version}),
  python-pyside.qtsvg (>= ${binary:Version}),
  python-pyside.qttest (>= ${binary:Version}),
  python-pyside.qtuitools (>= ${binary:Version}),
  python-pyside.qtwebkit (>= ${binary:Version}),
  python-pyside.qtxml (>= ${binary:Version})
Description: Python bindings for Qt4 (big metapackage)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Python bindings for Qt4 framework. This is a metapackage for all modules.

Package: python3-pyside
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
  python3-pyside.phonon (>= ${binary:Version}),
  python3-pyside.qtcore (>= ${binary:Version}),
  python3-pyside.qtdeclarative (>= ${binary:Version}),
  python3-pyside.qtgui (>= ${binary:Version}),
  python3-pyside.qthelp (>= ${binary:Version}),
  python3-pyside.qtnetwork (>= ${binary:Version}),
  python3-pyside.qtopengl (>= ${binary:Version}),
  python3-pyside.qtscript (>= ${binary:Version}),
  python3-pyside.qtsql (>= ${binary:Version}),
  python3-pyside.qtsvg (>= ${binary:Version}),
  python3-pyside.qttest (>= ${binary:Version}),
  python3-pyside.qtuitools (>= ${binary:Version}),
  python3-pyside.qtwebkit (>= ${binary:Version}),
  python3-pyside.qtxml (>= ${binary:Version})
Description: Python3 bindings for Qt4 (big metapackage)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Python3 bindings for Qt4 framework. This is a metapackage for all modules.

Package: libpyside1.2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Python bindings for Qt 4 (base files)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains base files used by all modules.

Package: libpyside-py3-1.2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Python3 bindings for Qt 4 (base files)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains base files used by all python3 modules.

Package: libpyside-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libpyside1.2 (= ${binary:Version}), libpyside-py3-1.2 (= ${binary:Version}), libqt4-dev (>= 4:4.7.0)
Replaces: libpyside0.3 (<< 0.4.0)
Breaks: libpyside0.3 (<< 0.4.0)
Description: Python bindings for Qt 4 (development files)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides the development headers for the libpyside library.

Package: python-pyside.qtcore
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libpyside1.2 (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt 4 core module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtCore module.

Package: python3-pyside.qtcore
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libpyside-py3-1.2 (= ${binary:Version})
Description: Qt 4 core module - Python3 bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python3 bindings for the QtCore module.

Package: python-pyside.qtdeclarative
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libpyside1.2 (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt 4 Declarative module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtDeclarative module.

Package: python3-pyside.qtdeclarative
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libpyside-py3-1.2 (= ${binary:Version})
Description: Qt 4 Declarative module - Python3 bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python3 bindings for the QtDeclarative module.

Package: python-pyside.qtgui
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libpyside1.2 (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt 4 GUI module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtGui module.

Package: python3-pyside.qtgui
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libpyside-py3-1.2 (= ${binary:Version})
Description: Qt 4 GUI module - Python3 bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python3 bindings for the QtGui module.

Package: python-pyside.qthelp
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libpyside1.2 (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt 4 help module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtHelp module.

Package: python3-pyside.qthelp
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libpyside-py3-1.2 (= ${binary:Version})
Description: Qt 4 help module - Python3 bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python3 bindings for the QtHelp module.

Package: python-pyside.qtnetwork
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libpyside1.2 (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt 4 network module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtNetwork module.

Package: python3-pyside.qtnetwork
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libpyside-py3-1.2 (= ${binary:Version})
Description: Qt 4 network module - Python3 bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python3 bindings for the QtNetwork module.

Package: python-pyside.qtopengl
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libpyside1.2 (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt 4 OpenGL module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtOpenGL module.
 .
 OpenGL is a standard API for rendering 3D graphics. OpenGL only deals with 3D
 rendering and provides little or no support for GUI programming issues.

Package: python3-pyside.qtopengl
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libpyside-py3-1.2 (= ${binary:Version})
Description: Qt 4 OpenGL module - Python3 bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python3 bindings for the QtOpenGL module.
 .
 OpenGL is a standard API for rendering 3D graphics. OpenGL only deals with 3D
 rendering and provides little or no support for GUI programming issues.

Package: python-pyside.phonon
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libpyside1.2 (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt 4 Phonon module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the Phonon multimedia module.

Package: python3-pyside.phonon
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libpyside-py3-1.2 (= ${binary:Version})
Description: Qt 4 Phonon module - Python3 bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python3 bindings for the Phonon multimedia module.

Package: python-pyside.qtscript
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libpyside1.2 (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt 4 script module - Python bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the QtScript and QtScriptTools
 modules.

Package: python3-pyside.qtscript
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libpyside-py3-1.2 (= ${binary:Version})
Description: Qt 4 script module - Python3 bindings
 Qt is a cross-platform C++ application framework. Qt's primary feature

=== debian/rules ===
#!/usr/bin/make -f

# CMake doesn't use CPPFLAGS, pass them to CFLAGS/CXXFLAGS to enable the
# missing (hardening) flags.
export DEB_CFLAGS_MAINT_APPEND   = $(shell dpkg-buildflags --get CPPFLAGS)
export DEB_CXXFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)

%:
	dh $@ --with python2 --with python3 --buildsystem=cmake --parallel

# Python versions
PYVERSIONS=$(shell pyversions -v -r)
DEFAULT_PY=$(shell pyversions -v -d)
PY3VERSIONS=$(shell py3versions -v -r)
DEFAULT_PY3=$(shell py3versions -v -d)
LIBPYSIDE_SOVERSION=1.2

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# the python version we are being called on atm, in the form "34" (for 3.4)
PYVER=$(subst .,,$*)
# python ≥ 3.5 append the multiarch triplet to module names (in particular this
# is reflected in ShibokenConfig.cmake)
PYMODULESUFFIX=$(if $(shell test $(PYVER) -ge 35 && echo "yes"),"-$(DEB_HOST_MULTIARCH)","")

ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
	BD_DEBUG           = python-all-dbg (>= 2.6.6-3~), python3-all-dbg, shiboken-dbg (>= 1.2.2),
endif

ifneq (,$(filter python-pyside-dbg,$(shell dh_listpackages)))
	BUILD_DEBUG = true
	CONFIGURE2_TARGETS = $(PYVERSIONS:%=override_dh_auto_configure_dbg-%)  $(PYVERSIONS:%=override_dh_auto_configure-%)
	BUILD2_TARGETS     = $(PYVERSIONS:%=override_dh_auto_build_dbg-%)  $(PYVERSIONS:%=override_dh_auto_build-%)
	INSTALL2_TARGETS   = $(PYVERSIONS:%=override_dh_auto_install_dbg-%)    $(PYVERSIONS:%=override_dh_auto_install-%)
	TEST2_TARGETS      = $(PYVERSIONS:%=override_dh_auto_test_dbg-%)  $(PYVERSIONS:%=override_dh_auto_test-%)
	
	CONFIGURE3_TARGETS = $(PY3VERSIONS:%=override_dh_auto_configure_dbg_3-%) $(PY3VERSIONS:%=override_dh_auto_configure_3-%)
	BUILD3_TARGETS     = $(PY3VERSIONS:%=override_dh_auto_build_dbg-%) $(PY3VERSIONS:%=override_dh_auto_build-%)
	INSTALL3_TARGETS   = $(PY3VERSIONS:%=override_dh_auto_install_3_dbg-%) $(PY3VERSIONS:%=override_dh_auto_install_3-%)
	TEST3_TARGETS      = $(PY3VERSIONS:%=override_dh_auto_test_dbg-%) $(PY3VERSIONS:%=override_dh_auto_test-%)
else
	CONFIGURE2_TARGETS = $(PYVERSIONS:%=override_dh_auto_configure-%)
	BUILD2_TARGETS     = $(PYVERSIONS:%=override_dh_auto_build-%)
	INSTALL2_TARGETS   = $(PYVERSIONS:%=override_dh_auto_install-%)
	TEST2_TARGETS      = $(PYVERSIONS:%=override_dh_auto_test-%)
	
	CONFIGURE3_TARGETS = $(PY3VERSIONS:%=override_dh_auto_configure_3-%)
	BUILD3_TARGETS     = $(PY3VERSIONS:%=override_dh_auto_build-%)
	INSTALL3_TARGETS   = $(PY3VERSIONS:%=override_dh_auto_install_3-%)
	TEST3_TARGETS      = $(PY3VERSIONS:%=override_dh_auto_test-%)
endif

update-control:
	sed -e 's/@BD-DEBUG@/$(BD_DEBUG)/g' debian/control.in > debian/control
ifdef BD_DEBUG
	cat debian/control.dbg-packages >> debian/control
endif

# G++ versions
g++-version := $(shell readlink /usr/bin/g++ | sed -e 's/g++-\(.*\)\.\(.*\)/\1\2/')
g++-version-ge-4.5 := $(shell if test $(g++-version) -ge 45; then echo "yes"; else echo "no"; fi)

CMAKE_COMMON_OPTIONS := -DCMAKE_SKIP_RPATH=true \
			-DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) \
			-DUSE_XVFB=true \
			-DCTEST_TESTING_TIMEOUT=600

#### CONFIGURE ####

override_dh_auto_configure: configure_2 configure_3

configure_2: $(CONFIGURE2_TARGETS)
	@echo "Python2 versions configured."

configure_3: $(CONFIGURE3_TARGETS)
	@echo "Python3 versions configured."

override_dh_auto_configure_dbg-%:
	mkdir -p build-$*-dbg
	dh_auto_configure -a --builddirectory=build-$*-dbg -- \
	$(CMAKE_COMMON_OPTIONS) \
	-DCMAKE_BUILD_TYPE:STRING="Debug" \
	-DPYTHON_SUFFIX=-python$*-dbg \

override_dh_auto_configure-%:
	mkdir -p build-$*
	dh_auto_configure -a --builddirectory=build-$* -- \
	$(CMAKE_COMMON_OPTIONS) \
	-DCMAKE_BUILD_TYPE:STRING="Release" \
	-DPYTHON_SUFFIX=-python$* \
	-DDEFAULT_PYTHON_BASENAME=-python${DEFAULT_PY}

override_dh_auto_configure_dbg_3-%:
	mkdir -p build-$*-dbg
	dh_auto_configure -a --builddirectory=build-$*-dbg -- \
	$(CMAKE_COMMON_OPTIONS) \
	-DCMAKE_BUILD_TYPE:STRING="Debug" \
	-DPYTHON_SUFFIX=.cpython-$(PYVER)dm$(PYMODULESUFFIX)

override_dh_auto_configure_3-%:
	mkdir -p build-$*
	dh_auto_configure -a --builddirectory=build-$* -- \
	$(CMAKE_COMMON_OPTIONS) \
	-DCMAKE_BUILD_TYPE:STRING="Release" \
	-DPYTHON_SUFFIX=.cpython-$(PYVER)m$(PYMODULESUFFIX) \
	-DDEFAULT_PYTHON_BASENAME=-python${DEFAULT_PY}

#### BUILD ####

override_dh_auto_build: build_2 build_3

build_2: $(BUILD2_TARGETS)
	@echo "Python2 versions built."

build_3: $(BUILD3_TARGETS)
	@echo "Python3 versions built."

override_dh_auto_build_dbg-%:
	dh_auto_build -a --builddirectory=build-$*-dbg

override_dh_auto_build-%:
	dh_auto_build -a --builddirectory=build-$*

#### INSTALL ####

override_dh_auto_install: install_2 install_3

install_2: $(INSTALL2_TARGETS)
	@echo "Python2 versions installed."

install_3: $(INSTALL3_TARGETS)
	@echo "Python3 versions installed."

override_dh_auto_install_dbg-%:
	dh_auto_install -a --builddirectory=build-$*-dbg --destdir=debian/tmp-dbg
	# Name the debug .so's correctly for python2
	rename 's|(.*)\.so(.*)$$|$$1_d.so$$2|'\
		debian/tmp-dbg/usr/lib/python2*/*-packages/PySide/*.so

override_dh_auto_install-%:
	dh_auto_install -a --builddirectory=build-$*

override_dh_auto_install_3_dbg-%:
	dh_auto_install -a --builddirectory=build-$*-dbg --destdir=debian/tmp-dbg
	# Name the debug .so's correctly for python3
	rename 's|(.*)/PySide/([^\.]*)\.so$$|$$1/PySide/$$2.cpython-$(subst .,,$*)dm.so|'\
		debian/tmp-dbg/usr/lib/python3/*-packages/PySide/*.so

override_dh_auto_install_3-%:
	dh_auto_install -a --builddirectory=build-$*
	# Name the .so's correctly for python3
	rename 's|(.*)/PySide/([^\.]*)\.so$$|$$1/PySide/$$2.cpython-$(subst .,,$*)m.so|'\
		debian/tmp/usr/lib/python3/*-packages/PySide/*.so

#### Shared libs ####
override_dh_makeshlibs: $(PYVERSIONS:%=override_dh_makeshlibs-%) $(PY3VERSIONS:%=override_dh_makeshlibs_py3-%)
	cat debian/libpyside${LIBPYSIDE_SOVERSION}.symbols-py* > debian/libpyside${LIBPYSIDE_SOVERSION}.symbols
	cat debian/libpyside-py3-${LIBPYSIDE_SOVERSION}.symbols-py* > debian/libpyside-py3-${LIBPYSIDE_SOVERSION}.symbols
	dh_makeshlibs -a

override_dh_makeshlibs-%:
	echo "libpyside-python$*.so.${LIBPYSIDE_SOVERSION} libpyside${LIBPYSIDE_SOVERSION} #MINVER#" > debian/libpyside${LIBPYSIDE_SOVERSION}.symbols-py$*
	cat debian/libpyside${LIBPYSIDE_SOVERSION}.symbols.pristine >> debian/libpyside${LIBPYSIDE_SOVERSION}.symbols-py$*
ifeq ($(g++-version-ge-4.5),yes)
	# g++ version is >= 4.5, add related symbols
	sed -e 's|^ _| (ge-g++4.5)_|g' debian/libpyside${LIBPYSIDE_SOVERSION}.symbols.g++-ge-4.5 >> debian/libpyside${LIBPYSIDE_SOVERSION}.symbols-py$*
else
	# g++ version is < 4.5, add related symbols
	sed -e 's|^ _| (lt-g++4.5)_|g' debian/libpyside${LIBPYSIDE_SOVERSION}.symbols.g++-lt-4.5 >> debian/libpyside${LIBPYSIDE_SOVERSION}.symbols-py$*
endif

override_dh_makeshlibs_py3-%:
	echo "libpyside.cpython-$(subst .,,$*)m.so.${LIBPYSIDE_SOVERSION} libpyside-py3-${LIBPYSIDE_SOVERSION} #MINVER#" > debian/libpyside-py3-${LIBPYSIDE_SOVERSION}.symbols-py$*
	cat debian/libpyside${LIBPYSIDE_SOVERSION}.symbols.pristine >> debian/libpyside-py3-${LIBPYSIDE_SOVERSION}.symbols-py$*
ifeq ($(g++-version-ge-4.5),yes)
	# g++ version is >= 4.5, add related symbols
	sed -e 's|^ _| (ge-g++4.5)_|g' debian/libpyside${LIBPYSIDE_SOVERSION}.symbols.g++-ge-4.5 >> debian/libpyside-py3-${LIBPYSIDE_SOVERSION}.symbols-py$*
else
	# g++ version is < 4.5, add related symbols
	sed -e 's|^ _| (lt-g++4.5)_|g' debian/libpyside${LIBPYSIDE_SOVERSION}.symbols.g++-lt-4.5 >> debian/libpyside-py3-${LIBPYSIDE_SOVERSION}.symbols-py$*
endif


#### STRIP ####
override_dh_strip:
ifdef BUILD_DEBUG
	for p in `dh_listpackages -a -Npython-pyside-dbg -Npython3-pyside-dbg`; do \
		if echo $$p | egrep -s '^python-pyside\.' > /dev/null; \
		then \
			dh_strip -p$$p --dbg-package=python-pyside-dbg --exclude=-dbg.so --exclude=_d.so ; \
		fi; \
		if echo $$p | egrep -s '^python3-pyside\.' > /dev/null; \
		then \
			dh_strip -p$$p --dbg-package=python3-pyside-dbg --exclude=-dbg.so --exclude=dm.so ; \

## pyside 1.2.2%2Bsource1

=== tests/QtHelp/CMakeLists.txt ===
PYSIDE_TEST(help_test.py)

=== debian/rules ===
--- 
+++ 
@@ -119,6 +119,7 @@
 	dh_auto_build -a --builddirectory=build-$*-dbg
 
 override_dh_auto_build-%:
+	python setup/setup.py egg_info
 	dh_auto_build -a --builddirectory=build-$*
 
 #### INSTALL ####
@@ -191,4 +192,3 @@
 		fi; \
 		if echo $$p | egrep -s '^python3-pyside\.' > /dev/null; \
 		then \
-			dh_strip -p$$p --dbg-package=python3-pyside-dbg --exclude=-dbg.so --exclude=dm.so ; \
